Bug 1415008 - TechnoTrend AG TT-connect S2-3650 CI kernel panic
Summary: TechnoTrend AG TT-connect S2-3650 CI kernel panic
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 23:42 UTC by old_man999
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version: 4.9.7-201.fc25.x86_64
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-08 22:28:48 UTC
Type: Bug


Attachments (Terms of Use)

Description old_man999 2017-01-19 23:42:17 UTC
Description of problem:

TechnoTrend AG TT-connect S2-3650 CI causes a kernel panic when connected with kernel 4.9.3-200.fc25.x86_64.
Previous kernel works as expected.

Version-Release number of selected component (if applicable):

kernel 4.9.3-200.fc25.x86_64

How reproducible:

Just connect device


Actual results:

[  201.912861] usb 1-1.3.7: new high-speed USB device number 6 using ehci-pci
[  202.499484] usb 1-1.3.7: New USB device found, idVendor=0b48, idProduct=300a
[  202.499490] usb 1-1.3.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  202.499494] usb 1-1.3.7: Product: TT-USB2.0
[  202.499497] usb 1-1.3.7: Manufacturer: TechnoTrend
[  202.499500] usb 1-1.3.7: SerialNumber: XXXXX
[  202.595150] dvb-usb: found a 'Technotrend TT Connect S2-3650-CI' in warm state.
[  202.595158] pctv452e: pctv452e_power_ctrl: 1
 
[  202.602827] BUG: unable to handle kernel NULL pointer dereference at           (null)
[  202.602903] IP: [<ffffffff9f41374b>] __list_add+0x1b/0xb0
[  202.602951] PGD 0
 
[  202.602980] Oops: 0000 [#1] SMP
[  202.603004] Modules linked in: dvb_usb_pctv452e(+) dvb_usb ttpci_eeprom dvb_core rc_core ccm rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter
 nf_log_ipv4 ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common xt_LOG xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_raw ip6table_man
gle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat
 nf_conntrack iptable_security ebtable_filter ebtables ip6table_filter ip6_tables vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) binfmt_misc bnep vboxdrv(OE) fuse uvcvideo vid
eobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core snd_seq_dummy videodev btusb btrtl btbcm media btintel bluetooth intel_rapl
[  202.603666]  x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate snd_seq_oss snd_emu1
0k1_synth snd_emux_synth snd_seq_midi_emul snd_seq_virmidi snd_seq_midi snd_seq_midi_event intel_uncore ppdev hp_wmi sparse_keymap iTCO_wdt iTCO_vendor_support intel_rapl
_perf snd_hda_codec_hdmi joydev snd_hda_codec_idt snd_hda_codec_generic snd_hda_intel arc4 rtl8192ce rtl_pci rtl8192c_common rtlwifi mac80211 snd_emu10k1 cfg80211 snd_uti
l_mem snd_rawmidi snd_ac97_codec jmb38x_ms snd_hda_codec snd_hda_core snd_hwdep memstick rfkill ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd hp_accel mei_me lis3
lv02d parport_pc parport wmi soundcore input_polldev mei lpc_ich shpchp tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace
[  202.604349]  sunrpc hid_dr ff_memless uas usb_storage amdkfd amd_iommu_v2 radeon i915 ttm crc32c_intel i2c_algo_bit drm_kms_helper serio_raw sdhci_pci sdhci drm yenta_
socket r8169 mmc_core mii video fjes
[  202.604528] CPU: 2 PID: 4198 Comm: systemd-udevd Tainted: G           OE   4.9.3-200.fc25.x86_64 #1
[  202.604591] Hardware name: Hewlett-Packard HP ProBook 4530s/167C, BIOS 68SRR Ver. F.61 04/22/2016
[  202.604651] task: ffff8b64f7610000 task.stack: ffff9909c4c7c000
[  202.604693] RIP: 0010:[<ffffffff9f41374b>]  [<ffffffff9f41374b>] __list_add+0x1b/0xb0
[  202.604755] RSP: 0018:ffff9909c4c7f9a8  EFLAGS: 00010246
[  202.604792] RAX: 00000000ffffffff RBX: ffff9909c4c7f9d0 RCX: 00000000c0000100
[  202.604842] RDX: ffff8b64dba72d60 RSI: 0000000000000000 RDI: ffff9909c4c7f9d0
[  202.604891] RBP: ffff9909c4c7f9c0 R08: 0000000000000000 R09: 0000000000000000
[  202.604939] R10: 0000000000000000 R11: ffff8b651c489200 R12: 0000000000000000
[  202.604988] R13: ffff8b64dba72d60 R14: 00000000ffffffff R15: ffff8b64dba72d60
[  202.605038] FS:  00007f73ca812640(0000) GS:ffff8b65bfc80000(0000) knlGS:0000000000000000
[  202.605094] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  202.605134] CR2: 0000000000000000 CR3: 000000035ba32000 CR4: 00000000000426e0
[  202.605183] Stack:
[  202.605201]  ffff8b64dba72d58 ffff8b64f7610000 ffff8b64dba72d5c ffff9909c4c7fa20
[  202.605261]  ffffffff9f818be6 ffff9909c4c7fa38 ffffffff9f1bfe36 ffff990900000018
[  202.605323]  00000000d80f13a7 ffff9909c4c7fa00 ffff8b64dba72d58 ffff8b64f4c17380
[  202.605383] Call Trace:
[  202.605407]  [<ffffffff9f818be6>] __mutex_lock_slowpath+0x96/0x120
[  202.605453]  [<ffffffff9f1bfe36>] ? printk+0x57/0x73
[  202.605492]  [<ffffffff9f818c8f>] mutex_lock+0x1f/0x30
[  202.605532]  [<ffffffffc0fd6d55>] pctv452e_power_ctrl+0x85/0x190 [dvb_usb_pctv452e]
[  202.605587]  [<ffffffffc0fcf52f>] dvb_usb_device_power_ctrl+0x3f/0x50 [dvb_usb]
[  202.605638]  [<ffffffffc0fcf773>] dvb_usb_device_init+0x233/0x640 [dvb_usb]
[  202.605689]  [<ffffffffc0fd7371>] pctv452e_usb_probe+0x51/0x60 [dvb_usb_pctv452e]
[  202.605742]  [<ffffffff9f5f2cd9>] usb_probe_interface+0x159/0x2d0
[  202.605787]  [<ffffffff9f54a753>] driver_probe_device+0x223/0x430
[  202.605832]  [<ffffffff9f54aa3f>] __driver_attach+0xdf/0xf0
[  202.605873]  [<ffffffff9f54a960>] ? driver_probe_device+0x430/0x430
[  202.608219]  [<ffffffff9f54813c>] bus_for_each_dev+0x6c/0xc0
[  202.610557]  [<ffffffff9f549e9e>] driver_attach+0x1e/0x20
[  202.612517]  [<ffffffff9f5498d0>] bus_add_driver+0x170/0x270
[  202.614051]  [<ffffffff9f54b360>] driver_register+0x60/0xe0
[  202.615621]  [<ffffffff9f5f15a1>] usb_register_driver+0x81/0x140
[  202.617056]  [<ffffffffc0736000>] ? 0xffffffffc0736000
[  202.618429]  [<ffffffffc073601e>] pctv452e_usb_driver_init+0x1e/0x1000 [dvb_usb_pctv452e]
[  202.619891]  [<ffffffff9f002190>] do_one_initcall+0x50/0x180
[  202.621358]  [<ffffffff9f22f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
[  202.622701]  [<ffffffff9f1c017a>] ? do_init_module+0x27/0x1ef
[  202.624131]  [<ffffffff9f1c01b2>] do_init_module+0x5f/0x1ef
[  202.625499]  [<ffffffff9f12fe01>] load_module+0x25b1/0x2980
[  202.626686]  [<ffffffff9f12c6e0>] ? __symbol_put+0x60/0x60
[  202.627850]  [<ffffffff9f130343>] SYSC_init_module+0x173/0x190
[  202.628915]  [<ffffffff9f13047e>] SyS_init_module+0xe/0x10
[  202.629981]  [<ffffffff9f81bbf7>] entry_SYSCALL_64_fastpath+0x1a/0xa9
[  202.631029] Code: e8 6b e6 c8 ff 66 2e 0f 1f 84 00 00 00 00 00 90 55 48 89 e5 41 55 41 54 53 4c 8b 42 08 48 89 fb 49 89 f4 49 89 d5 49 39 f0 75 29 <4d> 8b 04 24 4d 39 c5 75 47 49 39 dc 74 62 49 39 dd 74 5d 49 89
[  202.633272] RIP  [<ffffffff9f41374b>] __list_add+0x1b/0xb0
[  202.634656]  RSP <ffff9909c4c7f9a8>
[  202.635676] CR2: 0000000000000000
[  202.641630] ---[ end trace d84765ce9d584c71 ]---


Expected results:

[  214.696690] usb 1-1.3.7: new high-speed USB device number 6 using ehci-pci
[  215.240369] usb 1-1.3.7: New USB device found, idVendor=0b48, idProduct=300a
[  215.240376] usb 1-1.3.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  215.240380] usb 1-1.3.7: Product: TT-USB2.0
[  215.240383] usb 1-1.3.7: Manufacturer: TechnoTrend
[  215.240385] usb 1-1.3.7: SerialNumber: XXXXX
[  215.340930] dvb-usb: found a 'Technotrend TT Connect S2-3650-CI' in warm state.
[  215.340937] pctv452e: pctv452e_power_ctrl: 1

[  215.341767] dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
[  215.341880] DVB: registering new adapter (Technotrend TT Connect S2-3650-CI)
[  215.342359] pctv452e: I2C error -121; AA 02  A0 01 14 -> 55 02  A0 00 00.
[  215.345393] dvb-usb: MAC address: 00:d0:5c:b7:94:e5
[  215.380028] stb0899_attach: Attaching STB0899 
[  215.385440] pctv452e: CI initialized.
[  215.385452] usb 1-1.3.7: DVB: registering adapter 0 frontend 0 (STB0899 Multistandard)...
[  215.391125] stb6100_attach: Attaching STB6100 
[  215.415721] Registered IR keymap rc-tt-1500
[  215.416087] input: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3.7/rc/rc0/input23
[  215.416346] rc rc0: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3.7/rc/rc0
[  215.416347] dvb-usb: schedule remote query interval to 100 msecs.
[  215.416350] pctv452e: pctv452e_power_ctrl: 0

[  215.416351] dvb-usb: Technotrend TT Connect S2-3650-CI successfully initialized and connected.
[  215.416444] usbcore: registered new interface driver pctv452e

Comment 1 old_man999 2017-01-25 20:21:31 UTC
https://bugzilla.kernel.org/show_bug.cgi?id=192881

I think it links to this.


Note You need to log in before you can comment on or make changes to this bug.